version: '3.3'

services:
  oonyeje-portfolio:
    image: gitea.bsidesolutions.net/oonyeje/oonyeje-portfolio
    build:
      context: ./
      dockerfile: Dockerfile
    ports:
      - "6000:3000"
    volumes:
      - .:/home/node/app
      - ./node_modules:/home/node/app/node_modules
    working_dir: /home/node/app/
    command: sh -c "yarn install && yarn dev"
    env_file:
      - .env.local
